Query parameters
-
Values are
ALL_ANALYSIS,CHECKLIST,CLASSIFY_SCHEDULE,DELAY_ANALYSIS,EXECUTIVE,FILE_EXPORT,FILE_IMPORT,INTEGRATION_SYNC_DATATYPE,INTEGRATION_FILE_DOWNLOAD,INTEGRATION_FILE_VALIDATION,INTEGRATION_FILE_SYNC,MODEL_CREATE,MODEL_UPDATE,PLANNED_CURVE,PROJECT_BASELINE,PROJECT_IMPORT,PROJECT_REBUILD,SCENARIO_CREATE,SCENARIO_UPDATE, orSCHEDULE_REVIEW.
GET
/notifications
curl \
--request GET 'https://live.smartpmtech.com/notifications' \
--header "X-API-KEY: $API_KEY" \
--header "X-COMPANY-ID: string"
Response examples (200)
{
"items": [
{
"notificationType": "ALL_ANALYSIS",
"notificationStatus": "QUEUED",
"createdOn": "2026-05-04T09:42:00Z",
"notificationMessage": "string",
"notificationParams": [
{
"paramValue": "string",
"paramName": "string",
"id": "string"
}
],
"id": "string"
}
],
"hasMore": true
}